com.orsoncharts.graphics3d

## Class RenderedElement

- java.lang.Object
- - com.orsoncharts.graphics3d.RenderedElement

-     public class RenderedElement
      extends java.lang.Object

  Represents an item or element that has been rendered by the graphics engine. Properties can be assigned to the elements in order to provide the information required for such things as end user interactivity.
  Since:
    1.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BOUNDS` A key for the 'bounds' property (the value is a `Shape`).
    `static java.lang.String` | `TYPE` A key for the 'type' property.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderedElement(java.lang.Object type, java.awt.Shape bounds)` Creates a new interactive element with the specified type.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearProperties()` Clears all properties for this element.
    `java.lang.Object` | `getProperty(java.lang.String key)` Returns the value of the property with the specified key, or `null`).
    `java.lang.Object` | `getType()` Returns the element type, as specified in the constructor.
    `void` | `setProperty(java.lang.String key, java.lang.Object value)` Sets the value for a property.
    `java.lang.String` | `toString()` Returns a string representation of the element, primarily for debugging purposes.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final java.lang.String TYPE

      A key for the 'type' property. The value is an Object.
      See Also:
        Constant Field Values

    - #### BOUNDS

          public static final java.lang.String BOUNDS

      A key for the 'bounds' property (the value is a `Shape`).
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RenderedElement

          public RenderedElement(java.lang.Object type,
                                 java.awt.Shape bounds)

      Creates a new interactive element with the specified type.
      Parameters:
        `type` - the type (`null` not permitted).
        `bounds` - the bounds (`null` permitted).

  - ### Method Detail

    - #### getType

          public java.lang.Object getType()

      Returns the element type, as specified in the constructor.
      Returns:
        The element type.

    - #### getProperty

          public java.lang.Object getProperty(java.lang.String key)

      Returns the value of the property with the specified key, or `null`).
      Parameters:
        `key` - the key (`null` not permitted).
      Returns:
        The property value.

    - #### setProperty

          public void setProperty(java.lang.String key,
                                  java.lang.Object value)

      Sets the value for a property.
      Parameters:
        `key` - the property key (`null` not permitted).
        `value` - the property value.

    - #### clearProperties

          public void clearProperties()

      Clears all properties for this element.

    - #### toString

          public java.lang.String toString()

      Returns a string representation of the element, primarily for debugging purposes.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        A string.